################################################################
#
# cansend_demo.sh
#
# Script to use command "cansend" to send can message from socketcan interface "can0"
#
# Required Utilities
#
#   can-utils Basic tools to display, record, generate and replay CAN traffic
#
# History
#
# v 0.0.0 15 Nov 2022 by Golden Wang
#   Create...
################################################################

canid=100
for i in {1..10}
do
	for j in {1..10}
	do
		canid=$(( 100 + $j ))
		#echo "canid = $canid"
		#echo "cansend can0 123#${i}223344"
		cansend can0 "$canid#1122334455667788"
		#sleep 0.001
	done
done
